org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPAliasTemplateInstance

All Superinterfaces:
  Cloneable, IBinding, ICPPBinding, IType, ITypedef

    public interface ICPPAliasTemplateInstance
    extends ITypedef, ICPPBinding

Represents an instance of an alias template (14.5.7).

Since:
  5.5

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPAliasTemplate` `getTemplateDefinition()` Returns the alias template specialized by this instance.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ITypedef

`getType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### getTemplateDefinition

    ICPPAliasTemplate getTemplateDefinition()

Returns the alias template specialized by this instance.